Freeciv-3.2: Data Fields

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - u -

- u : fz_FILE_s, help_page_selection, named_sprites
- uclass : unit_type, universals_u
- uclass_max_values() : help_widget
- ufont : hud_units, units_select
- uhs_cancel() : unit_hud_selector
- uhs_select() : unit_hud_selector
- ui : edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype, effect_edit, req_edit, req_vec_fix, requirers_dlg, tab_achievement, tab_building, tab_counter, tab_enabler, tab_extras, tab_good, tab_gov, tab_misc, tab_multiplier, tab_nation, tab_tech, tab_terrains, tab_unit
- ui_exit : gui_funcs
- ui_init : gui_funcs
- ui_main : gui_funcs
- ui_name : action, packet_ruleset_action
- uid : eco_report
- ul_units : hud_units
- unassigned_ranked : player
- unassigned_user : packet_player_info, player
- unavailable : named_sprites
- unbuilt : global_worklist
- unchanging : req_def
- unchanging_cond : req_def
- undo_accepted_changes() : fix_enabler_item, req_vec_fix_item
- undo_layout() : help_widget
- undraw : widget
- unhappy : city, named_sprites, packet_city_short_info, player_score, vision_site
- unhappy_penalty : city, output_type, packet_city_info
- unhappy_priority : adv_data
- uni : effect_list_cb_data
- unique : achievement, packet_ruleset_achievement
- unit : editor_sprites, named_sprites, packet_ruleset_unit_bonus, packetdata, req_context, ruledit_gui, widget
- unit_actions() : unit_actions
- unit_alloc : ai_type
- unit_builders_nationality : packet_game_info
- unit_callbacks : agent
- unit_class_id : packet_ruleset_unit
- unit_count : units_select
- unit_created : ai_type
- unit_deallocate : civ_game
- unit_default_orientation : tileset
- unit_destroyed : ai_type
- unit_flag_offset_x : tileset
- unit_flag_offset_y : tileset
- unit_free : ai_type
- unit_got : ai_type
- unit_happy_upkeep : city
- unit_hud_selector() : unit_hud_selector
- unit_icons : hud_units
- unit_id : autoattack_prob, choice_dialog, client_disband_unit_data, packet_city_name_suggestion_info, packet_city_name_suggestion_req, packet_investigate_finished, packet_investigate_started, packet_unit_change_activity, packet_unit_orders, packet_unit_remove, packet_unit_server_side_agent_set, packet_unit_sscs_set
- unit_id_focus : unit_select_dialog
- unit_img : unit_item
- unit_info : ai_type, unit_info
- unit_info_pos_fx : fc_settings
- unit_info_pos_fy : fc_settings
- unit_item() : unit_item
- unit_label : hud_units
- unit_list : qfc_units_list, tab_unit, unit_info, units_select
- unit_load : ai_type
- unit_lost : ai_type
- unit_menu : unit_item
- unit_move : ai_type
- unit_move_seen : ai_type
- unit_offset_x : tileset
- unit_offset_y : tileset
- unit_save : ai_type
- unit_scroll : unittype_item
- unit_sel : fc_client
- unit_sel_type : unit_hud_selector
- unit_selection_clears_orders : client_options
- unit_skip : choice_dialog
- unit_state : universals_u
- unit_task : ai_type
- unit_tile_height : tileset
- unit_tile_width : tileset
- unit_transformed : ai_type
- unit_turn_end : ai_type
- unit_upkeep_offset_y : tileset
- unit_upkeep_small_offset_y : tileset
- unit_wants : texai_city
- unitclassflag : universals_u
- unitflag : universals_u
- unitinfo_wdg : fc_client
- units : adv_data, named_sprites, player, player_score, texai_plr, tile, unit_select_dialog, usdata, world
- units2_icon : theme_icons
- units_built : player_score
- units_icon : theme_icons
- units_killed : player_score
- units_list : mr_menu
- units_lost : player_score
- units_reports() : units_reports
- units_ruleset_close : ai_type
- units_ruleset_init : ai_type
- units_select() : units_select
- units_supported : city
- units_used : player_score
- unittype : req_context
- unittype_item() : unittype_item
- unittype_list : units_reports
- unitwaittime : civ_game
- unitwaittime_controlled : action
- univ : uvb_data
- univ_value_edit() : req_edit
- univ_value_enum_menu() : req_edit
- unknown_move_cost : unit_type
- unload : unit_item
- unload_all() : unit_item
- unload_trans : unit_item
- unload_unit() : unit_item
- unlock_icon : theme_icons
- unreachable_protects : packet_game_info
- unregister_effect_edit() : ruledit_gui
- unregister_req_edit() : ruledit_gui
- unregister_req_vec_fix() : ruledit_gui
- UNRESTRICTED : generate_packets.Directions
- unselect : widget
- unstack_all_buttons() : choice_dialog
- unworked_tile : named_sprites
- unworked_tile_overlay : named_sprites
- up() : generate_packets.Directions
- up_cmd : worklist_data
- up_icon : theme_icons
- up_left_button : scroll_bar
- UP_ONLY : generate_packets.Directions
- update() : go_act_menu, gov_menu
- update_achievement_info() : tab_achievement
- update_actions() : hud_units, unit_actions
- update_ai_level() : pregame_options
- update_airlift_menu() : mr_menu
- update_all() : go_act_menu, gov_menu
- update_bases_menu() : mr_menu
- update_bldg_info() : tab_building
- update_building() : city_dialog
- update_buildings() : impr_info
- update_buttons() : fc_client, help_dialog, pregame_options
- update_buy_button() : city_dialog
- update_citizens() : city_dialog
- update_city() : city_report, city_widget
- update_city_text_in_refresh_tile : client_options
- update_cma_tab() : city_dialog
- update_counter_info() : tab_counter
- update_cursor() : map_view
- update_dialog() : choice_dialog
- update_disabled() : city_dialog
- update_dlg() : diplo_dlg, goto_dialog
- update_enabler_info() : tab_enabler
- update_extra_info() : tab_extras
- update_final_pixmap() : fc_sidewidget
- update_font() : chatwdg, info_tile, map_view
- update_fonts() : fc_client, fc_sidebar, fc_sidewidget, help_dialog, help_widget
- update_good_info() : tab_good
- update_gov_info() : tab_gov
- update_happiness_button() : city_dialog
- update_history : help_dialog
- update_image() : minimap_view
- update_img() : units_select
- update_improvements() : city_dialog
- update_info_label() : city_dialog, fc_client
- update_info_timer : fc_client
- update_infra_dialog : gui_funcs
- update_load_page() : fc_client
- update_menu() : fcwidget, info_tab, minimap_view, notify_dialog, units_reports, units_select
- update_model() : city_widget
- update_multiplier_info() : tab_multiplier
- update_nation_table() : city_dialog
- update_nationset_combo() : races_dialog
- update_network_lists() : fc_client
- update_pixmap() : minimap_view
- update_prod_buttons() : city_dialog
- update_report() : city_report, eco_report, endgame_report, plr_report, science_report, ss_report
- update_reqtree() : research_diagram, science_report
- update_roads_menu() : mr_menu
- update_scenarios_page() : fc_client
- update_selected() : req_edit
- update_server_list() : fc_client
- update_sidebar_position() : fc_client
- update_sidebar_tooltips() : fc_client
- update_size() : hud_battle_log
- update_sliders() : city_dialog
- update_start_page() : fc_client
- update_tech_info() : tab_tech
- update_terrain_info() : tab_terrains
- update_timeout_label : gui_funcs
- update_title() : city_dialog
- update_unit_sel() : fc_client
- update_units() : city_dialog, unit_info, units_reports, units_select
- update_utype_info() : tab_unit
- update_vote() : pregamevote
- update_wdg() : diplo_wdg
- update_widgets() : chatwdg
- update_word_list() : chat_listener
- upgrade : unit_item
- upgrade_button : unittype_item
- upgrade_unit() : unit_item
- upgrade_units() : unittype_item
- upgrade_veteran_loss : civ_game
- upgradeable : adv_data
- upkeep : edit_impr, impr_type, named_sprites, packet_ruleset_building, packet_ruleset_unit, packet_unit_info, unit, unit_type, units_entry
- upkeep_paid : unit
- uq_data : waiting_queue_data
- urgency : ai_city
- URL : mpqt_worker
- URL_given() : mpgui
- URLedit : mpgui
- usable_startpos_num : team_placement_config
- usage : city, packet_city_info
- use : timer
- use_prev_server : client_options
- usec : timer
- used : connection, entry, packet_conn_info, raw_data_out
- user : named_sprites, packet_vote_new, voteinfo
- user_data : gui_dialog
- user_message : civ_game
- user_turns : packet_edit_player, player
- username : connection, packet_conn_info, packet_edit_player, packet_player_info, packet_server_join_req, player
- users : ae_contra_or
- users_dlg : CONNLIST
- utile : units_select
- utype : edit_utype, packet_edit_unit, pf_parameter, unit, unittype_item, universals_u, usdata
- utype_actions : packet_web_ruleset_unit_addition
- uw_max : texai_tile_state
- uw_max_base : texai_tile_state